This is a view of the number and rate of interrupts per IRQ and processor on a Linux machine.

Note: more information can be found in the proc manual page and the proc.txt file in the filesystems documentation directory of the kernel source.

The single table columns are:

- interrupt number, or identification: NMI (Non Maskable Interrupt), LOC (local interrupt counter of the internal APIC) or ERR (incremented in the case of errors in the IO-APIC bus)
- corresponding device name if available
- interrupt type (for example: XT-PIC, IO-APIC-edge, IO-APIC-level, ...)
- absolute interrupts counter for processor number 0
- interrupts rate (interrupts per second) for processor number 0
- absolute interrupts counter for processor number 1 (if present)
- interrupts rate (interrupts per second) for processor number 1 (if present)
- ...

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- -r (--remote) [[rsh|ssh]://][user@]host
  remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to interrupts(host).
  When there is a communication error with the remote host, the cells in the count and rate columns are all set to void (displayed as ?). A descriptive error message is also generated in such a case.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss interrupts -r jdoe@foo.bar.com
    $ moodss interrupts -r ssh://jdoe@foo.bar.com
    $ moodss interrupts --remote foo.bar.com